Android P bloquearía las apps diseñadas para Android 4.1 Jelly Bean y anteriores

Android P bloquearía las apps diseñadas para Android 4.1 Jelly Bean y anteriores

Redacción |

Hay algunas noticias para los desarrolladores de apps para Android: o se actualizan o mueren. De acuerdo con algunos reportes Android P bloquearía las apps diseñadas para Android 4.1 Jelly Bean y anteriores, sin más.

Esta es una práctica muy conocida en Apple, la firma de Cupertino constantemente está borrando de su tienda de aplicaciones los desarrollos que no son soportados por las versiones más recientes de su sistema operativo, algo que va vinculado con el ritmo de actualización que marca esa empresa, pero ahora Android P al parecer tomaría el mismo camino.

Android P llega como Developer Preview: conoce sus novedades

Adiós a las apps viejas en Android P

Imagen - Android P bloquearía las apps diseñadas para Android 4.1 Jelly Bean y anteriores

Desde finales del año pasado, Google había señalado que las aplicaciones en Play Store tenían que comenzar a diseñarse con un nivel de API no mayor a un año anterior a la versión actual del nombre, es decir que una vez sea liberado Android P, todas las apps deben apuntar al desarrollo en Android Oreo y nada menos.

La razón del por qué Android P bloquearía las apps diseñadas para Android 4.1 Jelly Bean y anteriores está relacionado directamente con el rendimiento del propio sistema operativo y el dispositivo, algunas apps instaladas de versiones anteriores generan conflictos debido a que para evitar los inconvenientes de seguridad y funcionamiento limitan algunos aspectos propios del sistema operativo y eso genera conflictos en la ejecución.

YouTube ya cuenta con "modo oscuro" en iOS y Android

De hecho, en la preview para desarrolladores de Android P se puede ver como se despliega una advertencia cuando se desea abrir apps antiguas, sin embargo no se sabe si Google finalmente bloqueará por completo estas aplicaciones o si dejará por un tiempo la advertencia acerca del desempeño y la ejecución.

Hasta ahora la documentación para el desarrollador en Android P es clara sobre las aplicaciones que tengan API más baja: no podrán instalarse y ejecutarse.

Lo cierto es que si todo marcha como está planificado, Android P bloquearía las apps diseñadas para Android 4.1 Jelly Bean y anteriores.

Wear OS es el nuevo Android Wear

Vía: Reddit

Ver Comentarios